﻿using System.ServiceModel;

namespace WpkgInstaller
{
    public delegate WpkgMessageRequestType WpkgEventCallbackHandler(object sender, WpkgMessageRequest e);

    [ServiceContract(Namespace = "https://www.ch.cam.ac.uk/WpkgNotifier",
                     SessionMode = SessionMode.Required,
                     CallbackContract = typeof(IWpkgMessageCallbackHandlerContract))]
    public interface IWpkgMessageRequestHandlerContract
    {
        [OperationContract(IsOneWay = true)]
        void HandleMessage(WpkgMessageRequestType type);
    }
}
