﻿using System.ServiceModel;

namespace WpkgInstaller
{
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.Single)]
    class WpkgInstallerMessageService : IWpkgMessageRequestHandlerContract
    {
        public event WpkgEventCallbackHandler WpkgEventCallback = delegate { return WpkgMessageRequestType.DONE; };

        public void HandleMessage(WpkgMessageRequestType type)
        {
            WpkgEventCallback(this, new WpkgMessageRequest(type));
        }
    }
}
